
Figure - Bug #119046
【VC1】【副屏】QQ使用蓝牙耳机通话时，播放哔哩哔哩没有声音输出；但处于界面不做任何处理  过一分钟
左右声音能恢复
2023-07-17 16:32 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-17

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0715VB

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【复现时间】

语音通话期间2023 0717 16:18左右

语音挂断后恢复时间：2023 0717 16:21左右

【前置条件】

1.副屏连接蓝牙

2.副屏已下载QQ并登陆

3.哔哩哔哩和酷狗音乐处于后台运行

【操作步骤】

1.拨打QQ语音使用蓝牙接听

2.播放酷狗音乐

3.暂停和播放哔哩哔哩视频

4.挂断通话暂停和播放视频

【实际结果】

2.通话和酷狗音乐同时出声

3.只有通话声音没有哔哩哔哩视频声音，处于界面不做操作大约1分钟视频声音恢复

4.哔哩哔哩视频没有声音输出，大约过了不到1分钟声音恢复

History

#1 - 2023-07-26 14:56 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

当前分析：

1.从日志分析，在酷狗音乐播放时，和哔哩哔哩播放是都启动了流输出，

为什么没声音，需要获取QXDM做进一步分析；

40062:07-17 16:18:02.677  1542  3132 I MediaFocusControl: requestAudioFocus() from uid/pid 10116/7821

AA=USAGE_MEDIA/CONTENT_TYPE_UNKNOWN clientId=android.media.AudioManager@b05d749com.kugou.framework.player.f$2@48b184e

callingPack=com.kugou.android.auto req=1 flags=0x0 sdk=28
40168:07-17 16:18:02.709   910  1360 D APM_AudioPolicyManager: startOutput() output 29, stream 3, session 137

41144:07-17 16:18:04.750   910  1360 D APM_AudioPolicyManager: stopOutput() output 29, stream 3, session 137

41602:07-17 16:18:07.737  1542  9483 I MediaFocusControl: requestAudioFocus() from uid/pid 10029/11760 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC

clientId=android.media.AudioManager@979f7b2g.c.x.h.b@812e303 callingPack=com.bilibili.bilithings req=1 flags=0x0 sdk=28

41652:07-17 16:18:07.751   910  1360 D APM_AudioPolicyManager: startOutput() output 29, stream 3, session 161

下一步：

复现并获取QXDM日志；

#2 - 2023-08-01 16:48 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

#3 - 2023-08-03 17:56 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

#4 - 2023-08-23 15:13 - 物联网测试组_TSCD 王维

- Subject changed from 【VC1】【副屏】QQ使用蓝牙耳机通话时，播放哔哩哔哩没有声音输出；但出于界面不做任何处理  过一分钟左右声音能恢复 to 

【VC1】【副屏】QQ使用蓝牙耳机通话时，播放哔哩哔哩没有声音输出；但处于界面不做任何处理  过一分钟左右声音能恢复

#5 - 2023-08-23 15:52 - 物联网测试组_TSCD 王维

使用0136版本执行操作步骤15次未复现问题

#6 - 2023-08-24 19:12 - 物联网测试组_TSCD 王维

使用0138版本执行操作步骤16次未复现问题

#7 - 2023-09-13 17:02 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

已在下列版本中验证通过

01.00.0140

01.00.0142

#8 - 2023-09-13 17:03 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#9 - 2023-09-13 17:03 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

22.txt 5.6 MB 2023-07-17 物联网测试组_TSCD 王维

tlog_iov0201017500006162025411a2305070000003741_000044_0717162930.tar.gz6.68 MB 2023-07-17 物联网测试组_TSCD 王维
